# Inquiry Static VA

This API is used to inquiry data of static VA transactions for route payment.

<table data-header-hidden><thead><tr><th width="164"></th><th></th></tr></thead><tbody><tr><td><strong>URL Path</strong></td><td><a href="https://url_merchant/8641162021000007/d5f91b5fe05f6d2b186c78356b96af355db410ad?type=inquiry">https://url_merchant/8641162021000007/d5f91b5fe05f6d2b186c78356b96af355db410ad?type=inquiry</a></td></tr><tr><td><strong>Method</strong></td><td>POST</td></tr></tbody></table>

## Response Parameter

Response parameters are parameters that will be delivered by Faspay system in response to the request that have been sent by the merchant system. If no parameters appropriate/value are incorrect, the transaction will be rejected in the system Faspay.

<table><thead><tr><th width="300">Parameter</th><th>Data Type</th><th width="96">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>response</td><td>Varchar</td><td>M</td><td>Response Description</td></tr><tr><td>va_number</td><td>String (ISO4217) (16,2)</td><td>M</td><td>Virtual Account number</td></tr><tr><td>amount</td><td>Numeric (15)</td><td>C</td><td>Item Price</td></tr><tr><td>cust_name</td><td>Alphanumeric (128)</td><td>M</td><td>Customer Name</td></tr><tr><td>response_code</td><td>Numeric (2)</td><td>M</td><td>Response Code. In details <a href="/pages/rtKHzHoYL4gBW3Z4iWQr">here.</a></td></tr><tr><td>route</td><td>Object</td><td>O</td><td> </td></tr><tr><td>    owner</td><td>Alphanumeric (32) </td><td>O</td><td><p>Registered partner id that owns/generates the transaction. </p><p> </p><p><strong>Notes:</strong></p><ul><li>1 transaction only can contain 1 owner. </li><li>If null, then the remaining transaction amount will belong to the merchant’s Sendme balance. </li></ul></td></tr><tr><td>    partnerId</td><td>Alphanumeric (32) </td><td>O</td><td>Merchant partner id number.</td></tr><tr><td>    partnerAmount</td><td>Numeric (15) </td><td>C</td><td>Disbursement amount to partner.  </td></tr></tbody></table>

### Sample Response

{% tabs %}
{% tab title="Sample Response (JSON)" %}

```json
{
    "response": "VA Static Response",
    "va_number": "8641162021000007",
    "amount": "20000",
    "cust_name": "suyanto",
    "response_code": "00",
    "route":
    [
        {
            "owner": "3650800125"
        },
        {
            "partner_id": "3650800123",
            "partner_amount": "10000"
        },
        {
            "partner_id": "3650800124",
            "partner_amount": "10000"
        }
    ]
}

```

{% endtab %}

{% tab title="Sample Response (XML)" %}

```xml
<response>VA Static Response</response>
<va_number>8641162021000007</va_number>
<amount>20000</amount>
<cust_name>suyanto</cust_name>
<response_code>00</response_code>
<route>
<owner>3650800125</owner>
</route>
<route>
<partner_id>3650800123</partner_id>
<partner_amount>10000</partner_amount>
</route>
<route>
<partner_id>3650800124</partner_id>
<partner_amount>10000</partner_amount>
</route>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/route-payment/inquiry-static-va.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
